﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    image bg clouds ="bg/clouds.jpg"
    image bg fountain = "bg/fountain.jpg"
    image bg fountain sunset = "bg/fountain_sunset.jpg"
    image bg fountain night ="bg/fountain_evening.jpg"
    image black = "bg/black.jpg"
    image char kuu = "char/kuu_char.png"
    image char kuu displeased = "char/kuu_displeased.png"
    image char kuu innocent = "char/kuu_innocent.png"
    image char kuu sad = "char/kuu_sad.png"
    image char kuu smile = "char/kuu_smile.png"

    # Declare characters used by this game.
    $ k = Character('Koda', color="#ccddff")
    $ c = Character ('Kuu', color="#ffccdd")
    $ x = Character('???', color="#ffffff")


# The game starts here.
label start:
    
    scene bg clouds
    play music "bgm/simplesong.ogg"
    
    "Things never change."
    
    "No matter how hard you fight, it hardly makes a difference."
    
    "And within ten years, no one remembers your name anyway."
    
    "All those people who think they have something to fight for are idiots. You can't change the world, so why bother trying?"
    
    "One person's life is just a drop in a bucket."
    
    "Thinking things like this doesn't really make me depressed, though."
    
    "It's easier to live life if I don't have to worry about changing the world. I can just concentrate on my photography."
    
    "The pictures I take will last a lot longer than I ever will. Not like it matters."
    
    "All I ever photograph is nature. Things that will be the same until the end of time."
    
    "I hate photographing people. People are greedy and desperate. There's no way I'll ever capture such worthless things on film. When people die, they're gone, and that's fine with me."
    
    stop music
    
    scene bg fountain with fade
    
    play sound "sfx/waterfountain.mp3"
    
    "Hm...I don't come here very often."
    
    play music "bgm/wandering.ogg"
    
    "There's not much here worth photographing. At least there aren't many people either."
    
    "What's that sound?"
    
    "It's a girl...she's kneeling on the ground. I can't see her face."
    
    "Is she crying?"
    
    show char kuu at right
    with dissolve
    
    voice "vocals/kuu01.mp3"
    x "Ah--I'm sorry. I didn't realize anyone was here."
    
    k "Hm? No, it's okay..."
    
    "I notice a group of kittens playing at her feet. That must be the crying I heard."
    
    k "What are you doing?"
    
    voice "vocals/kuu02.mp3"
    x "Feeding the kittens. They're very hungry, and they don't have any food."
    
    k "What are you feeding them?"
    
    voice "vocals/kuu03.mp3"
    x "Cinnamon rolls. I baked them myself this morning."
    
    k "Sure seems like a waste to give that to a bunch of cats."
    
    voice "vocals/kuu04.mp3"
    x "No...it's worth it."
    
    k "They're just gonna die anyway. Why bother?"
    
    show char kuu innocent at right
    
    voice "vocals/kuu05.mp3"
    x "They're hungry. Do I need any more reason than that?"
    
    k "Then just give them cat food. Why feed them that?"
    
    voice "vocals/kuu06.mp3"
    x "Because they're the only ones who will eat it..."
    
    k "What?"
    
    show char kuu at right
    
    voice "vocals/kuu07.mp3"
    x "I'm sorry, I have to be home soon."
    
    "And without even saying goodbye, she left."
    
    hide char kuu
    with dissolve
       
    "Oh well. It doesn't change anything."
    
    scene bg fountain night with dissolve
    
    "Ah...it's getting dark. I guess I won't be taking many pictures after all."
    
    scene bg fountain with fade
    
    "I don't know why I came back here."
    
    "I keep telling myself it's just for photography, but I know I'm lying to myself. Why do I care so much?"
    
    show char kuu at right
    with dissolve
    
    voice "vocals/kuu08.mp3"
    x "Ah, you came back."
    
    k "I just wanted to take a couple pictures."
    
    voice "vocals/kuu09.mp3"
    x "I'll get out of the way, then."
    
    k "..."
    
    k "What are you feeding them today?"
    
    voice "vocals/kuu10.mp3"
    x "Steamed green tea cakes."
    
    k "Did you make those too?"
    
    voice "vocals/kuu11.mp3"
    x "Yes. This morning before school. I had to get up an hour early so I could steam them properly."
    
    k "Why?"
    
    voice "vocals/kuu12.mp3"
    x "Why what?"
    
    k "Why work so hard just to feed a bunch of cats?"
    
    voice "vocals/kuu13.mp3"
    x "Like I said, it's because they eat them."
    
    k "..."
    
    show char kuu sad at right
    
    voice "vocals/kuu14.mp3"
    x "I've always loved baking, and I always wanted to share my love. At one point in time, my dream was to own my own bakery."
    
    k "So?"
    
    voice "vocals/kuu15.mp3"
    x "Last year, for a class project, I baked muffins for the entire class."
    
    voice "vocals/kuu16.mp3"
    x "I woke up early so they'd be fresh, and I filled them with the best spices I could afford. I wanted them to be something special."
    
    voice "vocals/kuu17.mp3"
    x "Except...no one liked them. A lot of girls wouldn't even try them, claiming they had strict diets. I was so happy when some boys took a couple, but then they just threw them at each other."
    
    voice "vocals/kuu18.mp3"
    x "I even gave some to the teachers, who seemed to appreciate it. But at the end of the day, I found them in the trash."
    
    k "Well yeah. People never appreciate things like they're supposed to. Working so hard for them is a waste of time."
    
    voice "vocals/kuu19.mp3"
    x "Maybe..."
    
    voice "vocals/kuu20.mp3"
    x "After school, I came here. I wanted to cry, but these little guys came and cheered me up."
    
    voice "vocals/kuu21.mp3"
    x "I fed them the rest of the muffins, and they ate them without hesitation."
    
    show char kuu at right
    
    voice "vocals/kuu22.mp3"
    x "Ever since then, I've brought them something every day. As a way of saying thanks."
    
    k "Thanks for what?"
    
    voice "vocals/kuu23.mp3"
    x "For being happy when they eat my food."
    
    k "..?"
    
    voice "vocals/kuu24.mp3"
    x "What I like more than anything else is seeing people smile when they eat what I bake."
    
    voice "vocals/kuu25.mp3"
    x "I want to cheer people up and make the world a better place."
    
    k "That's stupid."
    
    show char kuu displeased at right
    
    voice "vocals/kuu26.mp3"
    x "Stupid?"
    
    k "Cheering people up is pointless. They'll just get depressed again anyway. And then they die."
    
    voice "vocals/kuu27.mp3"
    x "...Do you really think that?"
    
    k "Well, duh."
    
    voice "vocals/kuu28.mp3"
    x "I see."
    
    voice "vocals/kuu29.mp3"
    x "Well, I have to get going. I'll see you tomorrow."
    
    k "What?"
    
    show char kuu at right
    
    voice "vocals/kuu30.mp3"
    x "My name is Kuu. And you are?"
    
    k "Koda..."
    
    voice "vocals/kuu31.mp3"
    c "Then I'll see you tomorrow, Koda."
    
    k "Don't count on it."
    
    voice "vocals/kuu32.mp3"
    c "Of course."
    
    "And with that, she disappeared once again."
    
    hide char kuu
    with dissolve
    
    "Why am I so annoyed?"
    
    "I snap a few pictures, but the lighting's all wrong. Ugh...worthless."
    
    "This place has nothing worthwhile. I won't be coming back."
    
    stop music
    
    scene bg fountain with fade
    
    "And yet...somehow..."
    
    play music "bgm/hereagain.ogg"
    
    show char kuu at right
    with dissolve
    
    voice "vocals/kuu33.mp3"
    c "Hello, Koda."
    
    k "..."
    
    voice "vocals/kuu34.mp3"
    c "This is for you."
    
    "She hands me a small paper bag tied with ribbon."
    
    k "What is it?"
    
    voice "vocals/kuu35.mp3"
    c "Cookies. You want some, right?"
    
    k "What makes you think that?"
    
    show char kuu innocent at right
    
    voice "vocals/kuu36.mp3"
    c "You came back, didn't you?"
    
    play sound "sfx/paperbag.mp3"
    "With a sigh, I open the package. I'm greeted with the sweet smell of cinnamon and chocolate."
    
    "I take a bite of one. It's actually quite good. For a moment, I wonder why anyone would even think to dislike this girl's cooking."
    
    show char kuu sad at right
    
    voice "vocals/kuu37.mp3"
    c "I'm sorry."
    
    k "What?"
    
    voice "vocals/kuu38.mp3"
    c "You're not smiling. It must not be very good."
    
    k "That's not it. I'm just a bit angry that people don't appreciate your baking."
    
    voice "vocals/kuu39.mp3"
    c "You shouldn't be. If you think it tastes good, then smile!"
    
    k "Why are you trying so hard to get me to smile?"
    
    show char kuu at right
    
    voice "vocals/kuu40.mp3"
    c "You don't look like a happy person."
    
    "Her honesty is like an arrow to my heart."
    
    k "That's really none of your business."
    
    voice "vocals/kuu41.mp3"
    c "It is if you keep coming here to see me."
    
    k "I didn't say I was coming here to see you."
    
    voice "vocals/kuu42.mp3"
    c "You didn't have to."
    
    k "Besides, it doesn't matter. I'll just be depressed again tomorrow anyway."
    
    voice "vocals/kuu43.mp3"
    c "Then I'll just have to bake more for you tomorrow."
    
    k "Do you really want to see me smile?"
    
    voice "vocals/kuu44.mp3"
    c "I want to see everyone smile."
    
    k "Why do you care so much? Do you think you can actually make a difference?"
    
    voice "vocals/kuu45.mp3"
    c "I know I can."
    
    k "That's so naive. You know, your life is just a drop in a bucket."
    
    show char kuu displeased at right
    
    voice "vocals/kuu46.mp3"
    c "..."
    
    "I feel like I've won the argument, but it doesn't make me very happy."
    
    "The kittens have finished the cookies, and she turns to leave."
    
    voice "vocals/kuu47.mp3"
    c "Koda."
    
    k "What?"
    
    "Kuu faces me with a smile on her face."
    
    show char kuu smile at right
    
    voice "vocals/kuu48.mp3"
    c "Even if my life is just a single drop, every drop of water leaves ripples."
    
    hide char kuu smile
    with dissolve
    
    "She leaves before I can respond. I don't have a response, anyway."
    
    scene bg fountain sunset with dissolve
    
    "The sun is setting, and as I raise my camera to photograph it, I can't help but wonder what she'll bring me tomorrow. Maybe I should bring something for her."
    
    "Maybe I'll ask if I can take her picture."
    
    scene black with fade
    
    "Owari~"
    
    "Coded using the Ren'py 6.5.0 engine. Visit http://www.renpy.org for more information."
    
    "Story, art, coding, music, blah, blah, blah, etc. by Ayu Sakata. Visit http://sake-bento.deviantart.com for more information."
    
    stop music
    